List ledger accounts
curl --request GET \
--url https://sandbox.layerfi.com/v1/businesses/{businessId}/ledger/accounts \
--header 'Authorization: Bearer <token>'{
"data": {
"type": "Ledger_Balances",
"accounts": [
{
"id": {
"type": "AccountId",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"name": "Current Assets",
"stable_name": {
"type": "StableName",
"stable_name": "CURRENT_ASSETS"
},
"account_type": {
"display_name": "Asset"
},
"account_subtype": {
"display_name": "Current Assets"
},
"balance": 123,
"entries": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"entry_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account": {
"type": "Single_Chart_Account",
"id": {
"type": "AccountId",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"name": "Current Assets",
"account_number": "4000",
"stable_name": {
"type": "StableName",
"stable_name": "CURRENT_ASSETS"
},
"account_type": {
"display_name": "Asset"
},
"account_subtype": {
"display_name": "Current Assets"
}
},
"amount": 123,
"entry_at": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z"
}
],
"sub_accounts": "<array>"
}
]
}
}Accounts
List ledger accounts
Returns all ledger accounts for the business with their current balances in a nested tree structure.
GET
/
v1
/
businesses
/
{businessId}
/
ledger
/
accounts
List ledger accounts
curl --request GET \
--url https://sandbox.layerfi.com/v1/businesses/{businessId}/ledger/accounts \
--header 'Authorization: Bearer <token>'{
"data": {
"type": "Ledger_Balances",
"accounts": [
{
"id": {
"type": "AccountId",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"name": "Current Assets",
"stable_name": {
"type": "StableName",
"stable_name": "CURRENT_ASSETS"
},
"account_type": {
"display_name": "Asset"
},
"account_subtype": {
"display_name": "Current Assets"
},
"balance": 123,
"entries": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"entry_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account": {
"type": "Single_Chart_Account",
"id": {
"type": "AccountId",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"name": "Current Assets",
"account_number": "4000",
"stable_name": {
"type": "StableName",
"stable_name": "CURRENT_ASSETS"
},
"account_type": {
"display_name": "Asset"
},
"account_subtype": {
"display_name": "Current Assets"
}
},
"amount": 123,
"entry_at": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z"
}
],
"sub_accounts": "<array>"
}
]
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Content-Type must be set to application/json.
Path Parameters
The UUID of the business.
Response
List of ledger accounts with balances.
Show child attributes
Show child attributes
⌘I